Subject: Re: bug#21965: 24.5; Emacs freezes when canceling at open file

From: John Wiegley <[email-masked]>
Date: Fri, 19 Feb 2016 18:40:06 -0800

>>>>> Maneesh Yadav <[email-masked]> writes:

> Apologies to all I haven't ben able to follow up on this more thoroughly,
> part of the problem was trying to get the crash to replicate. I could do it
> in a few minutes while I was originally posting, then as I was getting all
> the right debug statements in it got harder and harder. I decided to just
> revert to normal use and wait for it to happen. Just happened again and I've
> put all the debugging info I can here and will try to trace through glib and
> figure out what is going on, just putting everything here for reference.

That sure looks like a lot of locks for the same context. Now, I wonder how
could allow that code path to recur without intervening unlocks, as there were
before the hang?

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2